<div class="content-body"><!-- account setting page start -->
<section id="page-account-settings">
  <div class="row">
    <!-- left menu section -->
    <div class="col-md-3 mb-2 mb-md-0">
      <ul class="nav nav-pills flex-column mt-md-0 mt-1">
        <li class="nav-item">
          <a class="nav-link d-flex py-75 active" id="account-pill-general" data-toggle="pill" href="#account-vertical-general" aria-expanded="true">
            <i class="feather icon-globe mr-50 font-medium-3"></i>
            General
          </a>
        </li>
        <li class="nav-item">
          <a class="nav-link d-flex py-75" id="account-pill-password" data-toggle="pill" href="#account-vertical-password" aria-expanded="false">
            <i class="feather icon-lock mr-50 font-medium-3"></i>
            Change Password
          </a>
        </li>
       
      
      </ul>
    </div>
    <!-- right content section -->
    <div class="col-md-9">
      <div class="card">
        <div class="card-content">
          <div class="card-body">
            <div class="tab-content">
              <div role="tabpanel" class="tab-pane active" id="account-vertical-general" aria-labelledby="account-pill-general" aria-expanded="true">
                
                <form novalidate="" *ngIf="roles === 'ROLE_UTILISATEUR'" #f="ngForm" (ngSubmit)="updateProfilUtilisateur(f.value)">
                  <div class="media">
                    <a href="javascript: void(0);">
                      <img src="assets/app-assets/images/portrait/small/avatar-s-12.jpg" class="rounded mr-75" alt="profile image" height="64" width="64">
                    </a>
                    <div class="media-body mt-75">
                      <div class="col-12 px-0 d-flex flex-sm-row flex-column justify-content-start">
                        <label class="btn btn-sm btn-primary ml-50 mb-50 mb-sm-0 cursor-pointer waves-effect waves-light" for="account-upload">Uploader nouveau image</label>
                        <input type="file" id="account-upload" hidden="">
                      </div>
                      <p class="text-muted ml-75 mt-50"><small>Allowed JPG, GIF or PNG. Max
                          size of
                          800kB</small></p>
                    </div>
                  </div>
                  <hr>
                  <div class="row">
                    <div class="col-6">
                      <div class="form-group">
                        <div class="controls">
                          <label for="nom">Nom</label>
                          <input type="text" class="form-control" id="nom" placeholder="Nom" name="nom" #nom="ngModel" [(ngModel)]="utilisateur.nom"  required>
                          <div class="alert alert-danger mt-1 alert-validation-msg" role="alert" *ngIf="nom.touched && nom.invalid">
                            <i class="feather icon-info mr-1 align-middle"></i>
                            <span>Nom Obligatoire</span>
                          </div>
                        </div>
                      </div>
                    </div>
                    <div class="col-6">
                      <div class="form-group">
                        <div class="controls">
                          <label for="prenom">Prenom</label>
                          <input type="text" class="form-control" id="prenom" placeholder="Prenom" name="prenom" #prenom="ngModel" [(ngModel)]="utilisateur.prenom"  required>
                          <div class="alert alert-danger mt-1 alert-validation-msg" role="alert" *ngIf="prenom.touched && prenom.invalid">
                            <i class="feather icon-info mr-1 align-middle"></i>
                            <span>Prenom Obligatoire</span>
                          </div>
                        </div>
                      </div>
                    </div>
                    <div class="col-6">
                      <div class="form-group">
                        <div class="controls">
                          <label for="username">Username</label>
                          <input type="text" class="form-control" id="username" placeholder="username" name="username" #username="ngModel" [(ngModel)]="utilisateur.username"  required>
                          <div class="alert alert-danger mt-1 alert-validation-msg" role="alert" *ngIf="username.touched && username.invalid">
                            <i class="feather icon-info mr-1 align-middle"></i>
                            <span>Username Obligatoire</span>
                          </div>
                        </div>
                      </div>
                    </div>
                    <div class="col-6">
                      <div class="form-group">
                        <div class="controls">
                          <label for="account-e-mail">E-mail</label>
                          <input type="email" class="form-control" id="account-e-mail" placeholder="email" name="email" #email="ngModel" [(ngModel)]="utilisateur.email"  required>
                          <div class="alert alert-danger mt-1 alert-validation-msg" role="alert" *ngIf="email.touched && email.invalid">
                            <i class="feather icon-info mr-1 align-middle"></i>
                            <span>Email Obligatoire et doit étre de type email</span>
                          </div>
                        </div>
                      </div>
                    </div>
                    <div class="col-6">
                      <div class="form-group">
                        <div class="controls">
                          <label for="cin">Cin</label>
                          <input type="text" class="form-control" id="cin" placeholder="cin" name="cin" #cin="ngModel" [(ngModel)]="utilisateur.cin"  required>
                          <div class="alert alert-danger mt-1 alert-validation-msg" role="alert" *ngIf="cin.touched && cin.invalid">
                            <i class="feather icon-info mr-1 align-middle"></i>
                            <span>Cin Obligatoire</span>
                          </div>
                        </div>
                      </div>
                    </div>

                    <div class="col-6">
                      <div class="form-group">
                        <label for="accountSelect">Ville</label>
                        <select class="form-control" id="accountSelect" name="ville" #ville="ngModel" [(ngModel)]="utilisateur.ville"  required>
                          <option>Nabeul</option>
                          <option>Manouba</option>
                          <option>ville1</option>
                          <option>Sousse</option>
                          <option>Tunis</option>
                        </select>
                        <div class="alert alert-danger mt-1 alert-validation-msg" role="alert" *ngIf="ville.touched && ville.invalid">
                          <i class="feather icon-info mr-1 align-middle"></i>
                          <span>Ville Obligatoire</span>
                        </div>
                      </div>
                    </div>
                    <div class="col-6">
                      <div class="form-group">
                        <div class="controls">
                          <label for="text">Code Postal</label>
                    <input type="text" class="form-control" placeholder="Code postal" name="codePostal" #codePostal="ngModel" [(ngModel)]="utilisateur.codePostal"  required>
                    <div class="alert alert-danger mt-1 alert-validation-msg" role="alert" *ngIf="codePostal.touched && codePostal.invalid">
                      <i class="feather icon-info mr-1 align-middle"></i>
                      <span>Code Postal Obligatoire</span>
                    </div>      
                  </div>
                      </div>
                    </div>
                    
                    
                    
                    <div class="col-6">
                      <div class="form-group">
                        <div class="controls">
                          <label for="account-phone">Tel</label>
                          <input type="text" class="form-control" id="account-phone" placeholder="Tel" name="tel" #tel="ngModel" [(ngModel)]="utilisateur.tel"  required>
                          <div class="alert alert-danger mt-1 alert-validation-msg" role="alert" *ngIf="tel.touched && tel.invalid">
                            <i class="feather icon-info mr-1 align-middle"></i>
                            <span>Téléphone Obligatoire</span>
                          </div>
                        </div>
                      </div>
                    </div>

                    <div class="col-6">
                      <div class="form-group">
                        <div class="controls">
                          <label for="account-phone">Autre Tel</label>
                          <input type="text" class="form-control" id="account-phone" placeholder="Autre Tel" name="autreTel" #autreTel="ngModel" [(ngModel)]="utilisateur.autreTel"  required>
                          <div class="alert alert-danger mt-1 alert-validation-msg" role="alert" *ngIf="autreTel.touched && autreTel.invalid">
                            <i class="feather icon-info mr-1 align-middle"></i>
                            <span>Téléphone Obligatoire</span>
                          </div>
                        </div>
                      </div>
                    </div>


                    <div class="col-6">
                      <div class="form-group">
                        <div class="controls">
                          <label for="date">Date de naissance</label>
                    <input type="date" class="form-control" name="date_naissance" #date_naissance="ngModel" [(ngModel)]="utilisateur.date_naissance"  required>
                    <div class="alert alert-danger mt-1 alert-validation-msg" role="alert" *ngIf="date_naissance.touched && date_naissance.invalid">
                      <i class="feather icon-info mr-1 align-middle"></i>
                      <span>Date de naissance Obligatoire</span>
                    </div>    
                  </div>
                      </div>
                    </div>
                    
                    <div class="col-12 d-flex flex-sm-row flex-column justify-content-end">
                      <button type="submit" class="btn btn-primary mr-sm-1 mb-1 mb-sm-0 waves-effect waves-light"[disabled]="f.invalid">Modifier</button>
                      <button type="reset" class="btn btn-outline-warning waves-effect waves-light">Annuler</button>
                    </div>
                  </div>
                </form>

                <form novalidate="" *ngIf="roles === 'ROLE_AGENCE'" #f="ngForm" (ngSubmit)="updateProfilAgence(f.value)">
                  <div class="media">
                    <a href="javascript: void(0);">
                      <img src="assets/app-assets/images/portrait/small/avatar-s-12.jpg" class="rounded mr-75" alt="profile image" height="64" width="64">
                    </a>
                    <div class="media-body mt-75">
                      <div class="col-12 px-0 d-flex flex-sm-row flex-column justify-content-start">
                        <label class="btn btn-sm btn-primary ml-50 mb-50 mb-sm-0 cursor-pointer waves-effect waves-light" for="account-upload">Uploader nouveau image</label>
                        <input type="file" id="account-upload" hidden="">
                      </div>
                      <p class="text-muted ml-75 mt-50"><small>Allowed JPG, GIF or PNG. Max
                          size of
                          800kB</small></p>
                    </div>
                  </div>
                  <hr>
                  <div class="row">
                    <div class="col-6">
                      <div class="form-group">
                        <div class="controls">
                          <label for="nomAgence">Nom Agence</label>
                          <input type="text" class="form-control" id="nomAgence" placeholder="Nom Agence" name="nom" #nom="ngModel" [(ngModel)]="agence.nom"  required>
                          <div class="alert alert-danger mt-1 alert-validation-msg" role="alert" *ngIf="nom.touched && nom.invalid">
                            <i class="feather icon-info mr-1 align-middle"></i>
                            <span>Nom d'Agence Obligatoire</span>
                          </div> 
                        </div>
                      </div>
                    </div>
                    <div class="col-6">
                      <div class="form-group">
                        <div class="controls">
                          <label for="siteWeb">site Web</label>
                          <input type="text" class="form-control" id="siteWeb" placeholder="site Web" name="siteWeb" #siteWeb="ngModel" [(ngModel)]="agence.siteWeb"  required>
                          <div class="alert alert-danger mt-1 alert-validation-msg" role="alert" *ngIf="siteWeb.touched && siteWeb.invalid">
                            <i class="feather icon-info mr-1 align-middle"></i>
                            <span>Site Web Obligatoire</span>
                          </div> 
                        </div>
                      </div>
                    </div>
                    <div class="col-6">
                      <div class="form-group">
                        <div class="controls">
                          <label for="username">Username</label>
                          <input type="text" class="form-control" id="username" placeholder="username" name="username" #username="ngModel" [(ngModel)]="agence.username"  required>
                          <div class="alert alert-danger mt-1 alert-validation-msg" role="alert" *ngIf="username.touched && username.invalid">
                            <i class="feather icon-info mr-1 align-middle"></i>
                            <span>Username Obligatoire</span>
                          </div> 
                        </div>
                      </div>
                    </div>
                    <div class="col-6">
                      <div class="form-group">
                        <div class="controls">
                          <label for="account-e-mail">E-mail</label>
                          <input type="email" class="form-control" id="account-e-mail" placeholder="email" name="email" #email="ngModel" [(ngModel)]="agence.email"  required>
                          <div class="alert alert-danger mt-1 alert-validation-msg" role="alert" *ngIf="email.touched && email.invalid">
                            <i class="feather icon-info mr-1 align-middle"></i>
                            <span>Email Obligatoire et doit étre de type email</span>
                          </div>
                        </div>
                      </div>
                    </div>
                    <div class="col-6">
                      <div class="form-group">
                        <div class="controls">
                          <label for="tel">Tel</label>
                          <input type="text" class="form-control" id="tel" placeholder="Tel" name="tel" #tel="ngModel" [(ngModel)]="agence.tel"  required>
                      
                        </div>
                      </div>
                    </div>
                   
                    
                    <div class="col-12 d-flex flex-sm-row flex-column justify-content-end">
                      <button type="submit" class="btn btn-primary mr-sm-1 mb-1 mb-sm-0 waves-effect waves-light" [disabled]="f.invalid">Modifier</button>
                      <button type="reset" class="btn btn-outline-warning waves-effect waves-light">Annuler</button>
                    </div>
                  </div>
                </form>

                <form novalidate="" *ngIf="roles === 'ROLE_ADMIN'">
                  <div class="media">
                    <a href="javascript: void(0);">
                      <img src="assets/app-assets/images/portrait/small/avatar-s-12.jpg" class="rounded mr-75" alt="profile image" height="64" width="64">
                    </a>
                    <div class="media-body mt-75">
                      <div class="col-12 px-0 d-flex flex-sm-row flex-column justify-content-start">
                        <label class="btn btn-sm btn-primary ml-50 mb-50 mb-sm-0 cursor-pointer waves-effect waves-light" for="account-upload">Uploader nouveau image</label>
                        <input type="file" id="account-upload" hidden="">
                      </div>
                      <p class="text-muted ml-75 mt-50"><small>Allowed JPG, GIF or PNG. Max
                          size of
                          800kB</small></p>
                    </div>
                  </div>
                  <hr>
                  <div class="row">
                   
                    
                    <div class="col-6">
                      <div class="form-group">
                        <div class="controls">
                          <label for="username">Username</label>
                          <input type="text" class="form-control" id="username" placeholder="username" name="username" #username="ngModel" [(ngModel)]="admin.username"  required disabled>
                        </div>
                      </div>
                    </div>
                    <div class="col-6">
                      <div class="form-group">
                        <div class="controls">
                          <label for="account-e-mail">E-mail</label>
                          <input type="email" class="form-control" id="account-e-mail" placeholder="email" name="email" #email="ngModel" [(ngModel)]="admin.email"  required disabled>
                          <div class="alert alert-danger mt-1 alert-validation-msg" role="alert" *ngIf="email.touched && email.invalid">
                            <i class="feather icon-info mr-1 align-middle"></i>
                            <span>Email Obligatoire et doit étre de type email</span>
                          </div>
                        </div>
                      </div>
                    </div>
                   
                    
                   
                  </div>
                </form>
                
              </div>
              <div class="tab-pane fade" id="account-vertical-password" role="tabpanel" aria-labelledby="account-pill-password" aria-expanded="false">
                <form #f="ngForm" (ngSubmit)="changePasswordUser(f.value)">
                  <div class="alert alert-danger mt-1 alert-validation-msg" role="alert" *ngIf="InvalidFrom" >
                    <i class="feather icon-info mr-1 align-middle"></i>
                    <span>{{InvalidFrom}}</span>
                  </div>
                  <div class="row">
                    <div class="col-12">
                      <div class="form-group">
                        <div class="controls">
                          <label for="account-old-password">Ancien mot de passe</label>
                          <input type="password" class="form-control" id="account-old-password" placeholder="Ancien mot de passe" name="ancienPassword" #ancienPassword ="ngModel" ngModel  required>
                          <div class="alert alert-danger mt-1 alert-validation-msg" role="alert" *ngIf="ancienPassword.touched && ancienPassword.invalid">
                            <i class="feather icon-info mr-1 align-middle"></i>
                            <span>Ancien Mot de passe Obligatoire</span>
                          </div> 
                        </div>
                      </div>
                    </div>
                    <div class="col-12">
                      <div class="form-group">
                        <div class="controls">
                          <label for="account-new-password">Nouveau mot de passe</label>
                          <input type="password" name="password" id="account-new-password" class="form-control" placeholder="Nouveau mot de passe"  name="nouveauPassword"#nouveauPassword="ngModel" ngModel required>
                          <div class="alert alert-danger mt-1 alert-validation-msg" role="alert" *ngIf="nouveauPassword.touched && nouveauPassword.invalid">
                            <i class="feather icon-info mr-1 align-middle"></i>
                            <span>Nouveau mot de passe Obligatoire</span>
                          </div> 
                        </div>
                      </div>
                    </div>
                    <div class="col-12">
                      <div class="form-group">
                        <div class="controls">
                          <label for="account-retype-new-password">Confirmer mot de passe</label>
                          <input type="password" name="con-password" class="form-control" required="" id="account-retype-new-password"  placeholder="Confirmer mot de passe" #confirmPassword="ngModel" name="confirmPassword" ngModel required>
                          <div class="alert alert-danger mt-1 alert-validation-msg" role="alert" *ngIf="confirmPassword.touched && (confirmPassword.invalid ||confirmPassword.value!==nouveauPassword.value)">                            <i class="feather icon-info mr-1 align-middle"></i>
                            <span> Confirmation  Mot de passe Obligatoire et doit étre correcte </span>
                          </div> 
                        </div>
                      </div>
                    </div>
                    <div class="col-12 d-flex flex-sm-row flex-column justify-content-end">
                      <button type="submit" class="btn btn-primary mr-sm-1 mb-1 mb-sm-0 waves-effect waves-light"[disabled]="f.invalid || confirmPassword.value!==nouveauPassword.value">Modifier</button>
                      <button type="reset" class="btn btn-outline-warning waves-effect waves-light">Annuler</button>
                    </div>
                  </div>
                </form>
              </div>
             
             
              
              
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</section>
<!-- account setting page end -->

        </div>